# VulkanSC-Samples

## How to Build
### Cross-compile for embedded-linux
```
mkdir build
cd build
cmake -DCMAKE_TOOLCHAIN_FILE=../cmake/embedded-linux.cmake ../
make
```
### Cross-compile for embedded-qnx
```
mkdir build
cd build
cmake -DCMAKE_TOOLCHAIN_FILE=../cmake/embedded-qnx.cmake ../
make
```
### Build by on target
Only supported on embedded-linux
```
mkdir build
cd build
cmake ../
make
```
### Build by host
This will build binary for host with Vulkan in order to generate json file only.
```
mkdir build
cd build
cmake -DHOST_BUILD=ON ../
make
```
